> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/nfts/update-tokens-ownership-spam-property",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Update tokens ownership spam property

> Updates tokens spam property for a tenant's token ownerships, in all tenant vaults.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /nfts/ownership/tokens/spam
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/ownership/tokens/spam:
    put:
      tags:
        - NFTs
      summary: Update tokens ownership spam property
      description: >-
        Updates tokens spam property for a tenant's token ownerships, in all
        tenant vaults.
      operationId: updateTokensOwnershipSpam
      parameters:
        - $ref: '#/components/parameters/X-End-User-Wallet-Id'
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTokensOwnershipSpamRequest'
      responses:
        '200':
          description: All token spam properties have been updated
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '400':
          description: Invalid data sent
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
        '404':
          description: When ownership for token ID is not found
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<void>> =
            fireblocks.nFTs.updateTokensOwnershipSpam(nFTsApiUpdateTokensOwnershipSpamRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<Void>> response =
            fireblocks.nFTs().updateTokensOwnershipSpam(tokenOwnershipSpamUpdatePayload,
            xEndUserWalletId, idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.n_f_ts.update_tokens_ownership_spam(token_ownership_spam_update_payload,
            x_end_user_wallet_id, idempotency_key);
components:
  parameters:
    X-End-User-Wallet-Id:
      name: X-End-User-Wallet-Id
      in: header
      description: >-
        Unique ID of the End-User wallet to the API request. Required for
        end-user wallet operations.
      required: false
      schema:
        type: string
        format: uuid
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    UpdateTokensOwnershipSpamRequest:
      type: array
      items:
        $ref: '#/components/schemas/TokenOwnershipSpamUpdatePayload'
    TokenOwnershipSpamUpdatePayload:
      type: object
      properties:
        assetId:
          type: string
          description: Token's asset id
          example: NFT-abcdefabcdefabcdefabcdefabcdefabcdefabcd
          x-fb-entity: asset
        spam:
          type: boolean
          description: Token's ownership new spam value
          example: true
      required:
        - assetId
        - spam
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````